resolve_entities
curl --request POST \
--url https://portal.quoindata.com/api/v2/resolutions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"items": [
{
"client_id": "<string>",
"subject_kind": "<string>",
"entity_kind": "<string>",
"area_uid": "<string>",
"identifiers": [],
"include_retired_identifiers": false
}
],
"candidate_limit": 10,
"candidate_cursors": {}
}
'import requests
url = "https://portal.quoindata.com/api/v2/resolutions"
payload = {
"items": [
{
"client_id": "<string>",
"subject_kind": "<string>",
"entity_kind": "<string>",
"area_uid": "<string>",
"identifiers": [],
"include_retired_identifiers": False
}
],
"candidate_limit": 10,
"candidate_cursors": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
items: [
{
client_id: '<string>',
subject_kind: '<string>',
entity_kind: '<string>',
area_uid: '<string>',
identifiers: [],
include_retired_identifiers: false
}
],
candidate_limit: 10,
candidate_cursors: {}
})
};
fetch('https://portal.quoindata.com/api/v2/resolutions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"contract_version": "quoin-v2",
"request_id": "<string>",
"operation": "<string>",
"status": "ok",
"data": {
"items": [
{
"client_id": "<string>",
"outcome": "invalid_input",
"candidates": [
{
"entity_ref": "<string>",
"entity_kind": "tax_account",
"status": "current",
"area_uid": "<string>",
"canonical_identity": {},
"match_basis": "<string>",
"property_ref": "<string>",
"precision": "exact",
"method": "<string>"
}
],
"address_resolution": {}
}
]
},
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"retry_after_seconds": 4503599627370495,
"details": "<unknown>"
},
"meta": {
"served_at": "<string>",
"truncated": true,
"publication_id": "<string>",
"generation_ids": [
"<string>"
],
"next_cursor": "<string>",
"warnings": [
"<string>"
],
"usage_units": 1
},
"provenance": {
"source_refs": [
"<string>"
],
"sources": [
{
"source_ref": "<string>",
"source_kind": "<string>",
"publisher": "<string>",
"release_id": "<string>",
"captured_at": "<string>",
"official_url": "<string>"
}
]
}
}{
"contract_version": "quoin-v2",
"request_id": "<string>",
"operation": "<string>",
"status": "ok",
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"retry_after_seconds": 4503599627370495,
"details": "<unknown>"
},
"meta": {
"served_at": "<string>",
"truncated": true,
"publication_id": "<string>",
"generation_ids": [
"<string>"
],
"next_cursor": "<string>",
"warnings": [
"<string>"
],
"usage_units": 1
},
"provenance": {
"source_refs": [
"<string>"
],
"sources": [
{
"source_ref": "<string>",
"source_kind": "<string>",
"publisher": "<string>",
"release_id": "<string>",
"captured_at": "<string>",
"official_url": "<string>"
}
]
}
}{
"contract_version": "quoin-v2",
"request_id": "<string>",
"operation": "<string>",
"status": "ok",
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"retry_after_seconds": 4503599627370495,
"details": "<unknown>"
},
"meta": {
"served_at": "<string>",
"truncated": true,
"publication_id": "<string>",
"generation_ids": [
"<string>"
],
"next_cursor": "<string>",
"warnings": [
"<string>"
],
"usage_units": 1
},
"provenance": {
"source_refs": [
"<string>"
],
"sources": [
{
"source_ref": "<string>",
"source_kind": "<string>",
"publisher": "<string>",
"release_id": "<string>",
"captured_at": "<string>",
"official_url": "<string>"
}
]
}
}{
"contract_version": "quoin-v2",
"request_id": "<string>",
"operation": "<string>",
"status": "ok",
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"retry_after_seconds": 4503599627370495,
"details": "<unknown>"
},
"meta": {
"served_at": "<string>",
"truncated": true,
"publication_id": "<string>",
"generation_ids": [
"<string>"
],
"next_cursor": "<string>",
"warnings": [
"<string>"
],
"usage_units": 1
},
"provenance": {
"source_refs": [
"<string>"
],
"sources": [
{
"source_ref": "<string>",
"source_kind": "<string>",
"publisher": "<string>",
"release_id": "<string>",
"captured_at": "<string>",
"official_url": "<string>"
}
]
}
}{
"contract_version": "quoin-v2",
"request_id": "<string>",
"operation": "<string>",
"status": "ok",
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"retry_after_seconds": 4503599627370495,
"details": "<unknown>"
},
"meta": {
"served_at": "<string>",
"truncated": true,
"publication_id": "<string>",
"generation_ids": [
"<string>"
],
"next_cursor": "<string>",
"warnings": [
"<string>"
],
"usage_units": 1
},
"provenance": {
"source_refs": [
"<string>"
],
"sources": [
{
"source_ref": "<string>",
"source_kind": "<string>",
"publisher": "<string>",
"release_id": "<string>",
"captured_at": "<string>",
"official_url": "<string>"
}
]
}
}{
"contract_version": "quoin-v2",
"request_id": "<string>",
"operation": "<string>",
"status": "ok",
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"retry_after_seconds": 4503599627370495,
"details": "<unknown>"
},
"meta": {
"served_at": "<string>",
"truncated": true,
"publication_id": "<string>",
"generation_ids": [
"<string>"
],
"next_cursor": "<string>",
"warnings": [
"<string>"
],
"usage_units": 1
},
"provenance": {
"source_refs": [
"<string>"
],
"sources": [
{
"source_ref": "<string>",
"source_kind": "<string>",
"publisher": "<string>",
"release_id": "<string>",
"captured_at": "<string>",
"official_url": "<string>"
}
]
}
}{
"contract_version": "quoin-v2",
"request_id": "<string>",
"operation": "<string>",
"status": "ok",
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"retry_after_seconds": 4503599627370495,
"details": "<unknown>"
},
"meta": {
"served_at": "<string>",
"truncated": true,
"publication_id": "<string>",
"generation_ids": [
"<string>"
],
"next_cursor": "<string>",
"warnings": [
"<string>"
],
"usage_units": 1
},
"provenance": {
"source_refs": [
"<string>"
],
"sources": [
{
"source_ref": "<string>",
"source_kind": "<string>",
"publisher": "<string>",
"release_id": "<string>",
"captured_at": "<string>",
"official_url": "<string>"
}
]
}
}{
"contract_version": "quoin-v2",
"request_id": "<string>",
"operation": "<string>",
"status": "ok",
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"retry_after_seconds": 4503599627370495,
"details": "<unknown>"
},
"meta": {
"served_at": "<string>",
"truncated": true,
"publication_id": "<string>",
"generation_ids": [
"<string>"
],
"next_cursor": "<string>",
"warnings": [
"<string>"
],
"usage_units": 1
},
"provenance": {
"source_refs": [
"<string>"
],
"sources": [
{
"source_ref": "<string>",
"source_kind": "<string>",
"publisher": "<string>",
"release_id": "<string>",
"captured_at": "<string>",
"official_url": "<string>"
}
]
}
}{
"contract_version": "quoin-v2",
"request_id": "<string>",
"operation": "<string>",
"status": "ok",
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"retry_after_seconds": 4503599627370495,
"details": "<unknown>"
},
"meta": {
"served_at": "<string>",
"truncated": true,
"publication_id": "<string>",
"generation_ids": [
"<string>"
],
"next_cursor": "<string>",
"warnings": [
"<string>"
],
"usage_units": 1
},
"provenance": {
"source_refs": [
"<string>"
],
"sources": [
{
"source_ref": "<string>",
"source_kind": "<string>",
"publisher": "<string>",
"release_id": "<string>",
"captured_at": "<string>",
"official_url": "<string>"
}
]
}
}{
"contract_version": "quoin-v2",
"request_id": "<string>",
"operation": "<string>",
"status": "ok",
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"retry_after_seconds": 4503599627370495,
"details": "<unknown>"
},
"meta": {
"served_at": "<string>",
"truncated": true,
"publication_id": "<string>",
"generation_ids": [
"<string>"
],
"next_cursor": "<string>",
"warnings": [
"<string>"
],
"usage_units": 1
},
"provenance": {
"source_refs": [
"<string>"
],
"sources": [
{
"source_ref": "<string>",
"source_kind": "<string>",
"publisher": "<string>",
"release_id": "<string>",
"captured_at": "<string>",
"official_url": "<string>"
}
]
}
}{
"contract_version": "quoin-v2",
"request_id": "<string>",
"operation": "<string>",
"status": "ok",
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"retry_after_seconds": 4503599627370495,
"details": "<unknown>"
},
"meta": {
"served_at": "<string>",
"truncated": true,
"publication_id": "<string>",
"generation_ids": [
"<string>"
],
"next_cursor": "<string>",
"warnings": [
"<string>"
],
"usage_units": 1
},
"provenance": {
"source_refs": [
"<string>"
],
"sources": [
{
"source_ref": "<string>",
"source_kind": "<string>",
"publisher": "<string>",
"release_id": "<string>",
"captured_at": "<string>",
"official_url": "<string>"
}
]
}
}{
"contract_version": "quoin-v2",
"request_id": "<string>",
"operation": "<string>",
"status": "ok",
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"retry_after_seconds": 4503599627370495,
"details": "<unknown>"
},
"meta": {
"served_at": "<string>",
"truncated": true,
"publication_id": "<string>",
"generation_ids": [
"<string>"
],
"next_cursor": "<string>",
"warnings": [
"<string>"
],
"usage_units": 1
},
"provenance": {
"source_refs": [
"<string>"
],
"sources": [
{
"source_ref": "<string>",
"source_kind": "<string>",
"publisher": "<string>",
"release_id": "<string>",
"captured_at": "<string>",
"official_url": "<string>"
}
]
}
}API Reference
resolve_entities
POST
/
api
/
v2
/
resolutions
resolve_entities
Authorizations
Send Authorization: Bearer qk_… using an API key created in the Quoin Developer Portal.
Headers
Unique key for one logical POST. Reuse is replay-safe or returns a conflict.
Required string length:
1 - 256Body
application/json
Response
Canonical response envelope.
Allowed value:
"quoin-v2"Required string length:
1 - 512Required string length:
1 - 256Available options:
ok, partial, error Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes